## konqueror 20.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Konqueror)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)

include(FeatureSummary)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)

set(KONQUEROR_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KONQUEROR_VERSION "${KONQUEROR_LIB_VERSION}")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets WebEngineWidgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts KCMUtils Archive Crash WindowSystem Init IconThemes DBusAddons GuiAddons)

find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS Activities DocTools) # Optional

if(NOT Qt5WebEngineWidgets_VERSION VERSION_LESS "5.13.0")
  add_definitions(-DWEBENGINE_PDF_VIEWER)
endif()

if(Qt5WebEngineWidgets_VERSION VERSION_LESS "5.14.0")
  add_definitions(-DWEBENGINEDOWNLOADITEM_USE_PATH)
endif()

find_package(X11)
set(KONQ_HAVE_X11 ${X11_FOUND})

if (X11_FOUND)
  find_package(Qt5 REQUIRED X11Extras)
endif(X11_FOUND)

add_definitions(
    -DQT_USE_QSTRINGBUILDER
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include (CheckSymbolExists)
check_symbol_exists(mallinfo        "malloc.h"                 KDE_MALLINFO_MALLOC)
check_symbol_exists(mallinfo        "stdlib.h"                 KDE_MALLINFO_STDLIB)
# TODO KDE_MALLINFO_FIELD_hblkhd
# TODO KDE_MALLINFO_FIELD_uordblks
# TODO KDE_MALLINFO_FIELD_usmblks

configure_file (config-konqueror.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konqueror.h )
configure_file (konqueror-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/konqueror-version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( libkonq )
add_subdirectory( src )
add_subdirectory( client )
if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()
add_subdirectory( webenginepart )

add_subdirectory( pics )
add_subdirectory( sidebar )
add_subdirectory( settings )
add_subdirectory( plugins )

if (KF5DocTools_FOUND)
    add_subdirectory( doc )
endif()

########### install files ###############
install( PROGRAMS
   kfmclient.desktop kfmclient_html.desktop kfmclient_war.desktop kfmclient_dir.desktop
   konqbrowser.desktop
   DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.konqueror.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

install(FILES konqy_preload.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

install(FILES konqueror.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== autotests/CMakeLists.txt ===
if (NOT WIN32)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/..  )

########### konqviewmgrtest ###############

ecm_add_test(konqviewmgrtest.cpp
    LINK_LIBRARIES kdeinit_konqueror Qt5::Core Qt5::Gui kwebenginepartlib Qt5::WebEngineWidgets Qt5::Test)

########### historymanagertest ###############

ecm_add_test(historymanagertest.cpp
    LINK_LIBRARIES KF5::Konq konquerorprivate Qt5::Core Qt5::Test)

########### undomanagertest ###############

ecm_add_test(undomanagertest.cpp
    LINK_LIBRARIES kdeinit_konqueror Qt5::Core Qt5::Test)

########### konqhtmltest ###############

ecm_add_test(konqhtmltest.cpp
    LINK_LIBRARIES kdeinit_konqueror kwebenginepartlib Qt5::Core Qt5::Test)

########### konqviewtest ###############

ecm_add_test(konqviewtest.cpp
    LINK_LIBRARIES kdeinit_konqueror Qt5::Core Qt5::Test)

endif (NOT WIN32)

=== sidebar/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR})
find_package(KF5 REQUIRED COMPONENTS JobWidgets IconThemes)

if (${QT_QT3SUPPORT_FOUND})
add_subdirectory( trees )
endif()

add_subdirectory( bookmarks_module )
add_subdirectory( tree_module )
# add_subdirectory( web_module ) # requires refactoring away from KHtml
add_subdirectory( history_module )
add_subdirectory( places_module )
add_subdirectory( default_entries )
if(BUILD_TESTING)
    add_subdirectory( test )
endif()

ecm_qt_declare_logging_category(sidebar_DEBUG_SRCS HEADER sidebar_debug.h IDENTIFIER SIDEBAR_LOG CATEGORY_NAME org.kde.konqueror.sidebar)

########### konqsidebarplugin lib: contains the base class for plugins ###############

set(konqsidebarplugin_LIB_SRCS konqsidebarplugin.cpp )

add_library(konqsidebarplugin SHARED ${konqsidebarplugin_LIB_SRCS} ${sidebar_DEBUG_SRCS})

target_link_libraries(konqsidebarplugin KF5::Parts KF5::KIOFileWidgets)
set_target_properties(konqsidebarplugin PROPERTIES VERSION ${KONQUEROR_LIB_VERSION} SOVERSION "5" )
install(TARGETS konqsidebarplugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### konq_sidebar plugin: contains the KParts used by konqueror ###############

set(konq_sidebar_PART_SRCS 
 sidebar_part.cpp
 sidebar_widget.cpp
 module_manager.cpp
 konqmultitabbar.cpp
)

add_library(konq_sidebar MODULE ${konq_sidebar_PART_SRCS} ${sidebar_DEBUG_SRCS})

target_link_libraries(konq_sidebar KF5::Parts KF5::Konq konqsidebarplugin KF5::KCMUtils KF5::IconThemes)

install(TARGETS konq_sidebar DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES konq_sidebartng.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES konqsidebartngrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )
install( FILES konqsidebarplugin.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

=== libkonq/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkonq\")

########### libkonq ###############

set(konq_LIB_SRCS
   konq_popupmenu.cpp       # now only used by konqueror, could move there
   konq_events.cpp
   konq_historyentry.cpp
   konq_historyloader.cpp
   konq_historyprovider.cpp   # konqueror and konqueror/sidebar
)

ecm_qt_declare_logging_category(konq_LIB_SRCS HEADER libkonq_debug.h IDENTIFIER LIBKONQ_LOG CATEGORY_NAME org.kde.libkonq)

add_library(KF5Konq ${konq_LIB_SRCS})

generate_export_header(KF5Konq BASE_NAME libkonq EXPORT_FILE_NAME libkonq_export.h)

add_library(KF5::Konq ALIAS KF5Konq)

target_link_libraries(KF5Konq
    PUBLIC
    KF5::XmlGui
    KF5::ConfigCore
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::CoreAddons
    KF5::Service
    KF5::Parts
    PRIVATE
    KF5::Bookmarks
    KF5::I18n
    ${ZLIB_LIBRARY}
)

# For crc32 in konq_historyloader.cpp
target_include_directories(KF5Konq PRIVATE ${ZLIB_INCLUDE_DIR})


set_target_properties(KF5Konq PROPERTIES
    VERSION ${KONQ_VERSION_STRING}
    SOVERSION ${KONQ_SOVERSION}
    EXPORT_NAME Konq
)

install(TARGETS KF5Konq EXPORT KF5KonqTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES directory_bookmarkbar.desktop DESTINATION ${KDE_INSTALL_DATADIR_KF5}/kbookmark)
install(FILES
    konq_events.h
    konq_historyentry.h
    konq_historyprovider.h
    konq_popupmenu.h
    ${LibKonq_BINARY_DIR}/src/libkonq_export.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

=== plugins/akregator/CMakeLists.txt ===

ecm_qt_declare_logging_category(akregatorplugin_DEBUG_SRCS HEADER akregatorplugindebug.h IDENTIFIER AKREGATORPLUGIN_LOG CATEGORY_NAME org.kde.konqueror.akregatorplugin)

########### next target ###############

set(akregatorplugin_PART_SRCS akregatorplugin.cpp pluginutil.cpp )

kcoreaddons_add_plugin(akregatorplugin SOURCES ${akregatorplugin_PART_SRCS} ${akregatorplugin_DEBUG_SRCS} INSTALL_NAMESPACE "kf5/kfileitemaction")
kcoreaddons_desktop_to_json(akregatorplugin akregator_konqplugin.desktop)

target_compile_definitions(akregatorplugin PRIVATE TRANSLATION_DOMAIN="akregator_konqplugin")
target_link_libraries(akregatorplugin KF5::I18n KF5::KIOWidgets Qt5::DBus)

########### next target ###############

set(akregatorkonqfeedicon_PART_SRCS konqfeedicon.cpp feeddetector.cpp pluginutil.cpp )

add_library(akregatorkonqfeedicon MODULE ${akregatorkonqfeedicon_PART_SRCS} ${akregatorplugin_DEBUG_SRCS})

target_compile_definitions(akregatorkonqfeedicon PRIVATE TRANSLATION_DOMAIN="akregator_konqplugin")
target_link_libraries(akregatorkonqfeedicon KF5::Parts KF5::IconThemes)

install(TARGETS akregatorkonqfeedicon DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES akregator_konqplugin.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES akregator_konqfeedicon.desktop akregator_konqfeedicon.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES akregator_konqfeedicon.desktop akregator_konqfeedicon.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES akregator_konqfeedicon.desktop akregator_konqfeedicon.rc  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

install( FILES feed.png DESTINATION ${KDE_INSTALL_DATADIR}/akregator/pics )

# contains list of debug categories, for kdebugsettings
install(FILES akregatorplugin.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== plugins/dirfilter/CMakeLists.txt ===
############### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"dirfilterplugin\")
set(dirfilterplugin_PART_SRCS dirfilterplugin.cpp )

add_library(dirfilterplugin MODULE ${dirfilterplugin_PART_SRCS})

target_link_libraries(dirfilterplugin KF5::Parts)

install(TARGETS dirfilterplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES dirfilterplugin.rc dirfilterplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/dolphinpart/kpartplugins )

=== plugins/kimgalleryplugin/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"imgalleryplugin\")
add_definitions(-DKDE_VERSION_STRING=\"${RELEASE_SERVICE_VERSION}\")
set(kimgallery_PART_SRCS imgalleryplugin.cpp imgallerydialog.cpp )
ecm_qt_declare_logging_category(kimgallery_PART_SRCS HEADER imgallery_debug.h IDENTIFIER IMAGEGALLERY_LOG CATEGORY_NAME org.kde.konqueror.imagegalleryplugin)

add_library(kimgallery MODULE ${kimgallery_PART_SRCS})

target_link_libraries(kimgallery  KF5::Parts)

install(TARGETS kimgallery  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES kimgalleryplugin.rc kimgalleryplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/dolphinpart/kpartplugins )

set(kimagegallery_ICONS 16-actions-imagegallery.png 22-actions-imagegallery.png)

ecm_install_icons(ICONS ${kimagegallery_ICONS} DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== plugins/searchbar/CMakeLists.txt ===
project (searchbar)
add_definitions(-DTRANSLATION_DOMAIN=\"searchbarplugin\")
find_package(Qt5 REQUIRED Script)

add_subdirectory( icons )
add_subdirectory( opensearch )

########### next target ###############

set(searchbarplugin_PART_SRCS
    searchbar.cpp
    OpenSearchManager.cpp
    SuggestionEngine.cpp
    WebShortcutWidget.cpp
    opensearch/OpenSearchEngine.cpp
    opensearch/OpenSearchReader.cpp
    opensearch/OpenSearchWriter.cpp)
ecm_qt_declare_logging_category(searchbarplugin_PART_SRCS HEADER searchbar_debug.h IDENTIFIER SEARCHBAR_LOG CATEGORY_NAME org.kde.konqueror.searchbar)

add_library(searchbarplugin MODULE ${searchbarplugin_PART_SRCS})

target_link_libraries(searchbarplugin KF5::Parts Qt5::Script)

install(TARGETS searchbarplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES searchbar.rc searchbar.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqueror/kpartplugins )

=== plugins/shellcmdplugin/CMakeLists.txt ===

########### next target ###############
find_package(KF5 REQUIRED Su)
add_definitions(-DTRANSLATION_DOMAIN=\"kshellcmdplugin\")
set(konq_shellcmdplugin_PART_SRCS kshellcmdexecutor.cpp kshellcmddialog.cpp kshellcmdplugin.cpp )

add_library(konq_shellcmdplugin MODULE ${konq_shellcmdplugin_PART_SRCS})

target_link_libraries(konq_shellcmdplugin KF5::Parts KF5::Su)

install(TARGETS konq_shellcmdplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############
install( FILES kshellcmdplugin.rc kshellcmdplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/dolphinpart/kpartplugins )

=== plugins/uachanger/CMakeLists.txt ===
########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"uachangerplugin\")
set(uachangerplugin_PART_SRCS uachangerplugin.cpp )

add_library(uachangerplugin MODULE ${uachangerplugin_PART_SRCS})

target_link_libraries(uachangerplugin  KF5::Parts )

install(TARGETS uachangerplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

########### install files ###############

install( FILES uachangerplugin.rc uachangerplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES uachangerplugin.rc uachangerplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES uachangerplugin.rc uachangerplugin.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

=== plugins/webarchiver/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"webarchiver\")
find_package(KF5 REQUIRED COMPONENTS CoreAddons Parts)

########### next target ###############

set(webarchiverplugin_PART_SRCS plugin_webarchiver.cpp)
add_library(webarchiverplugin MODULE ${webarchiverplugin_PART_SRCS})
target_include_directories(webarchiverplugin PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/logging)
target_link_libraries(webarchiverplugin webarchiverdebug KF5::Parts Qt5::Core Qt5::Widgets)

########### install files ###############

install(TARGETS webarchiverplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

set(plugin_FILES plugin_webarchiver.rc plugin_webarchiver.desktop)
install(FILES ${plugin_FILES} DESTINATION ${KDE_INSTALL_DATADIR}/khtml/kpartplugins)
install(FILES ${plugin_FILES} DESTINATION ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins)
install(FILES ${plugin_FILES} DESTINATION ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins)

ecm_install_icons(
    ICONS 16-actions-webarchiver.png 22-actions-webarchiver.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

########### subdirectories ###############

add_subdirectory(logging)
add_subdirectory(app)
add_subdirectory(thumbnailer)

=== settings/konqhtml/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkonqhtml\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/css
    )


set(kcm_konqhtml_PART_SRCS 
   generalopts.cpp
   htmlopts.cpp 
   jsopts.cpp 
   javaopts.cpp 
   appearance.cpp 
   policydlg.cpp 
   main.cpp 
   jspolicies.cpp 
   policies.cpp 
   domainlistview.cpp 
   filteropts.cpp
   css/template.cpp
   css/kcmcss.cpp
   )

ki18n_wrap_ui(kcm_konqhtml_PART_SRCS
    advancedTabOptions.ui
    css/csscustom.ui
    css/cssconfig.ui
    )

add_library(kcm_konqhtml MODULE ${kcm_konqhtml_PART_SRCS})

target_link_libraries(kcm_konqhtml KF5::Parts KF5::ItemViews)

install(TARGETS kcm_konqhtml  DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install( FILES khtml_general.desktop khtml_behavior.desktop khtml_java_js.desktop khtml_appearance.desktop khtml_filter.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES css/template.css  DESTINATION  ${KDE_INSTALL_DATADIR}/kcmcss )

=== debian/changelog ===
konqueror (4:20.12.0-4) unstable; urgency=medium

  * usr/share/kconf_update/webenginepart.upd is built only on architectures
    with QtWebEngine and should be installed conditionally.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Dec 2020 20:28:27 +0100

konqueror (4:20.12.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Add myself to uploaders.
  * Fix FTBFS when qtwebengine is not available.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Dec 2020 12:52:18 +0100

konqueror (4:20.12.0-2) unstable; urgency=medium

  * Add missing build dependencies:
    - libkf5notifications-dev

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Dec 2020 19:29:42 +0100

konqueror (4:20.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rewrite copyright file.
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata, add Bug-Database and Bug-Submit.
  * New upstream release (20.12.0).
  * Refresh patch for making the use of QtWebEngine optional.
  * Update build dependencies according to the upstream build system:
    - add libkf5guiaddons-dev
    - drop libkf5kdelibs4support-dev
  * Update installed files for new webarchive plugin.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Dec 2020 18:38:15 +0100

konqueror (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.12.0
    - bump the KF packages to 5.71.0
  * Update the patches:
    - optional-qtwebengine.diff: refresh
  * Update install files.
  * Do not ship the development files for konqsidebarplugin, for now.
  * Update lintian overrides.
  * Drop the kfmclient, and konqueror, as they are largely outdated.
    (Closes: #579870)

 -- Pino Toscano <pino@debian.org>  Fri, 13 Nov 2020 12:28:28 +0100

konqueror (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - old-kbookmarkmenu.diff: drop, no more needed
  * Really unregister the old /etc/xdg/konqueror.categories conffile;
    drop the misspelt konqeror.maintscript file.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 10:50:34 +0200

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               dh-exec,
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kinit-dev (>= 5.71.0~),
               libkf5activities-dev (>= 5.71.0~),
               libkf5archive-dev (>= 5.71.0~),
               libkf5bookmarks-dev,
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5guiaddons-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.37.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5su-dev,
               libkf5wallet-dev (>= 5.71.0~),
               libkf5windowsystem-dev (>= 5.71.0~),
               libqt5texttospeech5-dev (>= 5.12.0~),
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               qtscript5-dev,
               qtwebengine5-dev (>= 5.12.0~) [amd64 arm64 armhf i386 mipsel],
               zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/konqueror
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git

Package: konq-plugins
Architecture: any
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: kfind
Suggests: konq-plugins
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkf5konq6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

## konqueror 20.12.3

=== debian/changelog ===
konqueror (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:23:43 +0000

konqueror (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:57:21 +0000

konqueror (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:12:13 +0000

konqueror (4:20.12.0-4ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Dec 2020 08:00:01 +0000

konqueror (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update patch optional-qtwebengine.diff
  * Install webarchiver.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:30:35 +0000

konqueror (4:20.08.3-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Breaks/Replaces to suit Kubuntu history.

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Dec 2020 15:57:54 +0000

konqueror (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:54:50 +0000

## konqueror 21.04.1

=== debian/changelog ===
konqueror (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:10:10 +0100

konqueror (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:40:12 +0100

## konqueror 21.08.1

=== debian/changelog ===
konqueror (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:36:28 +0100

konqueror (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:05:31 +0100

konqueror (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:59:17 +0100

konqueror (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:08 +0100

konqueror (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:46:40 +0100

konqueror (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -39,13 +39,15 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/konqueror
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
 
 Package: konq-plugins
 Architecture: any
 Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Enhances: konqueror
+Breaks: konqueror (<< 4:20.08.3-1~)
+Replaces: konqueror (<< 4:20.08.3-1~)
 Recommends: imagemagick
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
@@ -87,6 +89,8 @@
 Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: kfind
 Suggests: konq-plugins
+Breaks: konq-plugins (<< 4:20.12.0-4~)
+Replaces: konq-plugins (<< 4:20.12.0-4~)
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -106,7 +110,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
+Depends: libkf5konq6 (= ${binary:Version}),
+         libkf5xmlgui-dev,
+         ${misc:Depends},
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.
@@ -118,6 +124,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5konq-data
+Replaces: libkf5konq-data
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.

## konqueror 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,13 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(Konqueror)
+project(Konqueror VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "5.12.0")
 set(KF5_MIN_VERSION "5.71.0")
@@ -35,6 +36,8 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS Activities DocTools) # Optional
 
+find_package(Hunspell)
+
 if(NOT Qt5WebEngineWidgets_VERSION VERSION_LESS "5.13.0")
   add_definitions(-DWEBENGINE_PDF_VIEWER)
 endif()
@@ -61,6 +64,11 @@
 # TODO KDE_MALLINFO_FIELD_hblkhd
 # TODO KDE_MALLINFO_FIELD_uordblks
 # TODO KDE_MALLINFO_FIELD_usmblks
+
+if(Hunspell_FOUND)
+set(WEBENGINEPART_DICTIONARY_DIR ${CMAKE_INSTALL_PREFIX}/share/konqueror/webengine_dictionaries CACHE PATH "The directory where dictionary files for WebEnginePart will be put")
+add_compile_definitions(WEBENGINEPART_DICTIONARY_DIR="${WEBENGINEPART_DICTIONARY_DIR}")
+endif()
 
 configure_file (config-konqueror.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konqueror.h )
 configure_file (konqueror-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/konqueror-version.h)

=== plugins/autorefresh/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"autorefresh\")

set(autorefresh_PART_SRCS autorefresh.cpp )

add_library(autorefresh MODULE ${autorefresh_PART_SRCS})



target_link_libraries(autorefresh KF5::I18n KF5::Parts KF5::IconThemes )

install(TARGETS autorefresh  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES autorefresh.rc autorefresh.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

=== plugins/khtmlsettingsplugin/CMakeLists.txt ===




########### next target ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmlsettingsplugin\")

set(khtmlsetting_VERSION 3.3)

configure_file(khtmlsettingsplugin.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop)

set(khtmlsettingsplugin_PART_SRCS settingsplugin.cpp )

add_library(khtmlsettingsplugin MODULE ${khtmlsettingsplugin_PART_SRCS})
kcoreaddons_desktop_to_json(khtmlsettingsplugin ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop)


target_link_libraries(khtmlsettingsplugin KF5::I18n KF5::Parts)

install(TARGETS khtmlsettingsplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install(
    FILES khtmlsettingsplugin.rc ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop
    DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins
)
install(
    FILES khtmlsettingsplugin.rc ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop
    DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins
)
install(
    FILES khtmlsettingsplugin.rc ${CMAKE_CURRENT_BINARY_DIR}/khtmlsettingsplugin.desktop
    DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins
)

=== plugins/shellcmdplugin/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 add_library(konq_shellcmdplugin MODULE ${konq_shellcmdplugin_PART_SRCS})
 
-target_link_libraries(konq_shellcmdplugin KF5::Parts KF5::Su)
+target_link_libraries(konq_shellcmdplugin KF5::I18n KF5::Parts KF5::Su)
 
 install(TARGETS konq_shellcmdplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )

=== plugins/ttsplugin/CMakeLists.txt ===
########### khtmlttsplugin ###############
add_definitions(-DTRANSLATION_DOMAIN=\"khtmltts\")
set(khtmlttsplugin_PART_SRCS khtmltts.cpp )

add_library(khtmlttsplugin MODULE ${khtmlttsplugin_PART_SRCS})

target_link_libraries(khtmlttsplugin KF5::I18n KF5::Parts Qt5::TextToSpeech)

install(TARGETS khtmlttsplugin  DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES khtmltts.rc khtmltts.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khtml/kpartplugins )
install( FILES khtmltts.rc khtmltts.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins )
install( FILES khtmltts.rc khtmltts.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/webenginepart/kpartplugins )

=== settings/konq/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkonq\")

kcoreaddons_add_plugin(kcm_konq SOURCES behaviour.cpp INSTALL_NAMESPACE konqueror_kcms)
kcoreaddons_desktop_to_json(kcm_konq filebehavior.desktop)

target_link_libraries(kcm_konq KF5::KCMUtils KF5::KIOCore KF5::I18n KF5::KIOWidgets Qt5::DBus)

install( FILES overlapping.png onlyone.png  DESTINATION  ${KDE_INSTALL_DATADIR}/kcontrol/pics )

=== sidebar/trees/init/remote/web/CMakeLists.txt ===
install( FILES .directory apps_web.desktop dot_web.desktop kde_web.desktop look_web.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/remote/web )

=== debian/changelog ===
konqueror (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:13:54 +0000

konqueror (4:21.12.2-0ubuntu2) jammy; urgency=medium

  * Do not let Konqueror force itself as default browser via
    alternatives in a postinst script. Let the user choose to change or
    not.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 22:43:13 +0000

konqueror (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:20:28 +0000

konqueror (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:28:20 +0000

konqueror (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:25:31 +0000

konqueror (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:20:42 +0000

konqueror (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:28:26 +0000

konqueror (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:43:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: konqueror
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Norbert Preining <norbert@preining.info>,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_auto_install:
	dh_auto_install
	# do not ship the development files for konqsidebarplugin, for now
	rm -f debian/tmp/usr/include/konqsidebarplugin.h
	rm -f debian/tmp/usr/lib/*/libkonqsidebarplugin.so

## konqueror 22.12.1

=== debian/changelog ===
konqueror (4:22.12.1-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4:17.08.3-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 07 Jan 2018 14:14:20 +0000]
  * Remove armhf from webengine arches since raspbian doesn't currently have it.

  [changes introduced in 4:18.12.0-1+rpi1 by Peter Michal Green]
  * Also remove armhf from architecture list for webengine directory in debian/konqueror.install

  [changes introduced in 4:20.12.0-4+rpi1 by Peter Michael Green]
  * Also remove armhf from architecture list for webengine specific plugins in debian/konq-plugins.install

 -- Raspbian forward porter <root@raspbian.org>  Mon, 16 Jan 2023 00:23:18 +0000

konqueror (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:10 +0100

konqueror (4:22.12.0-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Update the support for architectures without WebEngine:
    - update optional-qtwebengine.diff for bits in the new version
    - limit few more files & directories in konq-plugins.install, and
      konqueror.install to the architectures on which WebEngine is available
  * Enable the WebEngine support also on mips64el, as it is available there.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Dec 2022 09:00:55 +0100

konqueror (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.
  * Add Breaks/Replaces against kget (<< 4:22.12.0-1) for the kget
    plugin translations.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:48 +0100

konqueror (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patches.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:01 +0100

konqueror (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Update the list of installed files.
  * Rewrite copyright information from upstream SPDX info.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 08:32:58 +0100

konqueror (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:56:25 +0900

konqueror (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:21:04 +0900

konqueror (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:45:36 +0900

konqueror (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).
  * Add upstream fix for unresponsive url input.

 -- Norbert Preining <norbert@preining.info>  Fri, 04 Jun 2021 04:49:47 +0900

konqueror (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 19:49:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,55 +1,58 @@
 Source: konqueror
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Sune Vuorela <sune@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-exec,
-               extra-cmake-modules (>= 5.71.0~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.91.0~),
                gettext,
-               kinit-dev (>= 5.71.0~),
-               libkf5activities-dev (>= 5.71.0~),
-               libkf5archive-dev (>= 5.71.0~),
+               kinit-dev (>= 5.91.0~),
+               libkf5activities-dev (>= 5.91.0~),
+               libkf5archive-dev (>= 5.91.0~),
                libkf5bookmarks-dev,
-               libkf5crash-dev (>= 5.71.0~),
-               libkf5dbusaddons-dev (>= 5.71.0~),
-               libkf5doctools-dev (>= 5.71.0~),
-               libkf5guiaddons-dev (>= 5.71.0~),
-               libkf5iconthemes-dev (>= 5.71.0~),
+               libkf5coreaddons-dev,
+               libkf5crash-dev (>= 5.91.0~),
+               libkf5dbusaddons-dev (>= 5.91.0~),
+               libkf5doctools-dev (>= 5.91.0~),
+               libkf5guiaddons-dev (>= 5.91.0~),
+               libkf5i18n-dev,
+               libkf5iconthemes-dev (>= 5.91.0~),
                libkf5jobwidgets-dev,
-               libkf5kcmutils-dev (>= 5.71.0~),
+               libkf5kcmutils-dev (>= 5.91.0~),
                libkf5kio-dev (>= 5.37.0~),
-               libkf5notifications-dev (>= 5.71.0~),
-               libkf5parts-dev (>= 5.71.0~),
+               libkf5notifications-dev (>= 5.91.0~),
+               libkf5parts-dev (>= 5.91.0~),
+               libkf5sonnet-dev (>= 5.91.0~),
                libkf5su-dev,
-               libkf5wallet-dev (>= 5.71.0~),
-               libkf5windowsystem-dev (>= 5.71.0~),
+               libkf5textwidgets-dev,
+               libkf5wallet-dev (>= 5.91.0~),
+               libkf5windowsystem-dev (>= 5.91.0~),
+               libkf5xmlgui-dev,
                libqt5texttospeech5-dev (>= 5.12.0~),
+               libqt5webkit5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.2~),
                qtscript5-dev,
-               qtwebengine5-dev (>= 5.12.0~) [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 i386 mips64el mipsel],
                zlib1g-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/konqueror
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/konqueror
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/konqueror.git
 
 Package: konq-plugins
 Architecture: any
 Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Enhances: konqueror
-Breaks: konqueror (<< 4:20.08.3-1~)
-Replaces: konqueror (<< 4:20.08.3-1~)
 Recommends: imagemagick
+Breaks: kget (<< 4:22.12.0-1)
+Replaces: kget (<< 4:22.12.0-1)
 Description: plugins for Konqueror, the KDE file/web/document browser
  This package contains a variety of useful plugins for Konqueror, the
  file manager, web browser and document viewer for KDE.  Many of these
@@ -90,8 +93,6 @@
 Depends: dolphin, install-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: kfind
 Suggests: konq-plugins
-Breaks: konq-plugins (<< 4:20.12.0-4~)
-Replaces: konq-plugins (<< 4:20.12.0-4~)
 Description: advanced file manager, web browser and document viewer
  Konqueror is the KDE web browser and advanced file manager.
  .
@@ -111,9 +112,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5konq6 (= ${binary:Version}),
-         libkf5xmlgui-dev,
-         ${misc:Depends},
+Depends: libkf5konq6 (= ${binary:Version}), libkf5xmlgui-dev, ${misc:Depends}
 Description: development files for the Konqueror libraries
  This package contains development files for building software that uses the
  Konqueror libraries.
@@ -125,8 +124,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5konq-data
-Replaces: libkf5konq-data
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
